"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.grbl11PinMap = exports.controlPinMap = exports.limitPinMap = exports.statusMap = exports.subStateMessage = exports.statusStateTypes = exports.buildOptionsMap = exports.supportedVersions = exports.alarmMap = exports.errorMap = exports.gcodeMap = exports.settingsMap = void 0;
var alarm_codes_1 = require("./data/alarm_codes");
var error_codes_1 = require("./data/error_codes");
var gcode_map_1 = require("./data/gcode_map");
var hal_setting_codes_1 = require("./data/hal_setting_codes");
exports.settingsMap = hal_setting_codes_1.HAL_SETTING_CODES;
exports.gcodeMap = gcode_map_1.gcodeMap;
exports.errorMap = error_codes_1.ERROR_CODES;
exports.alarmMap = alarm_codes_1.ALARM_CODES;
exports.supportedVersions = ['Grbl 1.1e', 'Grbl 1.1f'];
exports.buildOptionsMap = {
    "V": "Variable spindle enabled",
    "N": "Line numbers enabled",
    "M": "Mist coolant enabled",
    "C": "CoreXY enabled",
    "P": "Parking motion enabled",
    "Z": "Homing force origin enabled",
    "H": "Homing single axis enabled",
    "T": "Two limit switches on axis enabled",
    "A": "Allow feed rate overrides in probe cycles",
    "*": "Restore all EEPROM disabled",
    "$": "Restore EEPROM $ settings disabled",
    "#": "Restore EEPROM parameter data disabled",
    "I": "Build info write user string disabled",
    "E": "Force sync upon EEPROM write disabled",
    "W": "Force sync upon work coordinate offset change disabled",
    "L": "Homing init lock sets Grbl into an alarm state upon power up"
};
exports.statusStateTypes = ["Idle", "Run", "Hold", "Jog", "Alarm", "Door", "Check", "Home", "Sleep", "Tool"];
exports.subStateMessage = {
    "Door": {
        0: "Door closed. Ready to resume.",
        1: "Machine stopped. Door still ajar. Can't resume until closed.",
        2: "Door opened. Hold (or parking retract) in-progress. Reset will throw an alarm.",
        3: "Door closed and resuming. Restoring from park, if applicable. Reset will throw an alarm."
    },
    "Hold": {
        0: "Hold complete. Ready to resume.",
        1: "Hold in-progress. Reset will throw an alarm."
    }
};
exports.statusMap = {
    "A": "accessories",
    "Bf": "buffer",
    "Buf": "buffer",
    "RX": "buffer",
    "FS": "realtimeFeed",
    "MPos": "machinePosition",
    "Ov": "override",
    "Lim": "pins",
    "Pn": "pins",
    "Pin": "pins",
    "WCO": "workcoordinateOffset",
    "WPos": "workPosition"
};
exports.limitPinMap = {
    0: "limit-x",
    1: "limit-y",
    2: "limit-z",
    3: "limit-a",
    4: "limit-b",
    5: "limit-c"
};
exports.controlPinMap = {
    0: "door",
    1: "hold",
    2: "soft-reset",
    3: "cycle-start",
};
exports.grbl11PinMap = {
    "X": "limit-x",
    "Y": "limit-y",
    "Z": "limit-z",
    "A": "limit-a",
    "B": "limit-b",
    "C": "limit-c",
    "P": "probe",
    "D": "door",
    "H": "hold",
    "R": "soft-reset",
    "S": "cycle-start",
    "T": "program-stop",
    "E": "e-stop",
    "O": "probe-disconnected",
};
