export declare const gcodeMap: {
    readonly gcode: {
        readonly G0: {
            readonly name: "Movement";
            readonly description: "The last movement command";
        };
        readonly G54: {
            readonly name: "WCS";
            readonly description: "Default Work Coordinate System";
        };
        readonly G17: {
            readonly name: "Plane";
            readonly description: "X Y (default)";
        };
        readonly G21: {
            readonly name: "Units";
            readonly description: "Current units";
        };
        readonly G28: {
            readonly name: "Predefined Position";
            readonly description: "Go to Predefined Position";
        };
        readonly G90: {
            readonly name: "Distance Mode";
            readonly description: "Absolute distance mode";
        };
        readonly G94: {
            readonly name: "Feed Rate Mode";
            readonly description: "Units per minute mode";
        };
        readonly G92: {
            readonly name: "";
            readonly description: "";
        };
        readonly G55: {
            readonly name: "";
            readonly description: "";
        };
        readonly G56: {
            readonly name: "";
            readonly description: "";
        };
        readonly G57: {
            readonly name: "";
            readonly description: "";
        };
        readonly G58: {
            readonly name: "";
            readonly description: "";
        };
        readonly G59: {
            readonly name: "";
            readonly description: "";
        };
        readonly "G59.1": {
            readonly name: "";
            readonly description: "";
        };
        readonly "G59.2": {
            readonly name: "";
            readonly description: "";
        };
        readonly "G59.3": {
            readonly name: "";
            readonly description: "";
        };
        readonly G30: {
            readonly name: "";
            readonly description: "";
        };
        readonly G5: {
            readonly name: "";
            readonly description: "";
        };
        readonly G7: {
            readonly name: "";
            readonly description: "";
        };
        readonly G8: {
            readonly name: "";
            readonly description: "";
        };
        readonly G43: {
            readonly name: "";
            readonly description: "";
        };
        readonly G49: {
            readonly name: "";
            readonly description: "";
        };
        readonly G50: {
            readonly name: "";
            readonly description: "";
        };
        readonly G51: {
            readonly name: "";
            readonly description: "";
        };
        readonly G73: {
            readonly name: "";
            readonly description: "";
        };
        readonly G81: {
            readonly name: "";
            readonly description: "";
        };
        readonly G82: {
            readonly name: "";
            readonly description: "";
        };
        readonly G83: {
            readonly name: "";
            readonly description: "";
        };
        readonly G85: {
            readonly name: "";
            readonly description: "";
        };
        readonly G86: {
            readonly name: "";
            readonly description: "";
        };
        readonly G89: {
            readonly name: "";
            readonly description: "";
        };
        readonly G96: {
            readonly name: "";
            readonly description: "";
        };
        readonly G97: {
            readonly name: "";
            readonly description: "";
        };
        readonly G98: {
            readonly name: "";
            readonly description: "";
        };
        readonly G99: {
            readonly name: "";
            readonly description: "";
        };
    };
    readonly mcode: {
        readonly M0: {
            readonly name: "Suspended";
            readonly description: "Machine is currently suspended";
        };
        readonly M5: {
            readonly name: "Spindle";
            readonly description: "Spindle stopped";
        };
        readonly M9: {
            readonly name: "Coolant";
            readonly description: "Coolant stopped";
        };
        readonly M1: {
            readonly name: "";
            readonly description: "";
        };
        readonly M50: {
            readonly name: "";
            readonly description: "";
        };
        readonly M51: {
            readonly name: "";
            readonly description: "";
        };
        readonly M53: {
            readonly name: "";
            readonly description: "";
        };
        readonly M56: {
            readonly name: "";
            readonly description: "";
        };
        readonly M60: {
            readonly name: "";
            readonly description: "";
        };
    };
    readonly tool: {
        readonly TLO: {
            readonly name: "Tool length offset";
            readonly description: "The distance the tool is offset from the current WCS";
        };
    };
};
