"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventHandler = void 0;
var extractor_1 = require("./extractor");
;
var EventHandler = /** @class */ (function () {
    function EventHandler() {
        this.listeners = [];
    }
    EventHandler.prototype.emit = function (type, data) {
        this.listeners.forEach(function (listener) {
            if (listener.type === type) {
                listener.func(data);
            }
        });
    };
    EventHandler.prototype.on = function (type, func) {
        if (type == 'all') {
            this.addToAllListeners(func);
        }
        else {
            this.listeners.push({ type: type, func: func });
        }
    };
    EventHandler.prototype.removeListener = function (type, func) {
        var _this = this;
        // let index = this.listeners.indexOf({ type, func })
        this.listeners.forEach(function (listener, index) {
            if (listener.type == type && listener.func == func) {
                _this.listeners.splice(index, 1);
            }
        });
    };
    EventHandler.prototype.addToAllListeners = function (func) {
        var keys = [];
        keys.push.apply(keys, __spreadArray(__spreadArray([], Object.keys(extractor_1.ReportExtractors), false), ['unknown'], false));
        for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
            var key = keys_1[_i];
            this.on(key, func);
        }
    };
    return EventHandler;
}());
exports.EventHandler = EventHandler;
